package jogo;

import java.awt.event.KeyEvent;

/**
 *
 * @author maycon
 */
// classe responsável por editar os controles de cada jogador
public class Controles extends javax.swing.JDialog {

    private int cimaP1 = KeyEvent.VK_UP;
    private int baixoP1 = KeyEvent.VK_DOWN;
    private int direitaP1 = KeyEvent.VK_RIGHT;
    private int esquerdaP1 = KeyEvent.VK_LEFT;
    private int disparoP1 = KeyEvent.VK_SPACE;
    private int cimaP2 = KeyEvent.VK_W;
    private int baixoP2 = KeyEvent.VK_S;
    private int direitaP2 = KeyEvent.VK_D;
    private int esquerdaP2 = KeyEvent.VK_A;
    private int disparoP2 = KeyEvent.VK_1;
    private int cimaP1New;
    private int baixoP1New;
    private int direitaP1New;
    private int esquerdaP1New;
    private int disparoP1New;
    private int cimaP2New;
    private int baixoP2New;
    private int direitaP2New;
    private int esquerdaP2New;
    private int disparoP2New;

    /** Creates new form Controles */
    public Controles(java.awt.Frame parent, boolean modal) {
        super(parent, modal);
        initComponents();


    }
// 1 cima, 2 baixo, 3 direita, 4 esquerda, 5 atelra disparo
    // retorna a tecla para cada jogador, caso a tecla seja aterada, ela passa a nova tecla
    // caso não seja alterda, retorna a antiga

    public int retornarTecla(int jogador, int tecla) {
        if (jogador == 1) {
            if (tecla == 1) {
                return cimaP1;
            }
            if (tecla == 2) {
                return baixoP1;
            }
            if (tecla == 3) {
                return direitaP1;
            }
            if (tecla == 4) {
                return esquerdaP1;
            }
            if (tecla == 5) {
                return disparoP1;
            }
        }
        if (jogador == 2) {
            if (tecla == 1) {
                return cimaP2;
            }
            if (tecla == 2) {
                return baixoP2;
            }
            if (tecla == 3) {
                return direitaP2;
            }
            if (tecla == 4) {
                return esquerdaP2;
            }
            if (tecla == 5) {
                return disparoP2;
            }
        }
        return 0;
    }
    // faz um teste se a nova tecla já está sendo usada por algum jogador
    // se for utlizada, retorna verdadeiro, se não for usada retorna falso

    public boolean teclaUsada(int tecla) {

        if (tecla == baixoP1New || tecla == direitaP1New || tecla == esquerdaP1New || tecla == disparoP1New
                || tecla == cimaP2New || tecla == baixoP2New || tecla == direitaP2New || tecla == esquerdaP2New || tecla == disparoP2New) {
            return true;
        }
        if (tecla == cimaP1New || tecla == direitaP1New || tecla == esquerdaP1New || tecla == disparoP1New
                || tecla == cimaP2New || tecla == baixoP2New || tecla == direitaP2New || tecla == esquerdaP2New || tecla == disparoP2New) {
            return true;
        }
        if (tecla == cimaP1New || tecla == baixoP1New || tecla == esquerdaP1New || tecla == disparoP1New
                || tecla == cimaP2New || tecla == baixoP2New || tecla == direitaP2New || tecla == esquerdaP2New || tecla == disparoP2New) {
            return true;
        }
        if (tecla == cimaP1New || tecla == baixoP1New || tecla == direitaP1New || tecla == disparoP1New
                || tecla == cimaP2New || tecla == baixoP2New || tecla == direitaP2New || tecla == esquerdaP2New || tecla == disparoP2New) {
            return true;
        }
        if (tecla == cimaP1New || tecla == baixoP1New || tecla == direitaP1New || tecla == esquerdaP1New
                || tecla == cimaP2New || tecla == baixoP2New || tecla == direitaP2New || tecla == esquerdaP2New || tecla == disparoP2New) {
            return true;
        }
        if (tecla == cimaP1New || tecla == baixoP1New || tecla == direitaP1New || tecla == esquerdaP1New || tecla == disparoP1New
                || tecla == baixoP2New || tecla == direitaP2New || tecla == esquerdaP2New || tecla == disparoP2New) {
            return true;
        }
        if (tecla == cimaP1New || tecla == baixoP1New || tecla == direitaP1New || tecla == esquerdaP1New || tecla == disparoP1New
                || tecla == cimaP2New || tecla == direitaP2New || tecla == esquerdaP2New || tecla == disparoP2New) {
            return true;
        }
        if (tecla == cimaP1New || tecla == baixoP1New || tecla == direitaP1New || tecla == esquerdaP1New || tecla == disparoP1New
                || tecla == cimaP2New || tecla == baixoP2New || tecla == esquerdaP2New || tecla == disparoP2New) {
            return true;
        }
        if (tecla == cimaP1New || tecla == baixoP1New || tecla == direitaP1New || tecla == esquerdaP1New || tecla == disparoP1New
                || tecla == cimaP2New || tecla == baixoP2New || tecla == direitaP2New || tecla == disparoP2New) {
            return true;
        }
        if (tecla == cimaP1New || tecla == baixoP1New || tecla == direitaP1New || tecla == esquerdaP1New || tecla == disparoP1New
                || tecla == cimaP2New || tecla == baixoP2New || tecla == direitaP2New || tecla == esquerdaP2New) {
            return true;
        }

        return false;
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jButtonOkControles = new javax.swing.JButton();
        jPanel1 = new javax.swing.JPanel();
        jLabelJogador1 = new javax.swing.JLabel();
        jLabelP1 = new javax.swing.JLabel();
        jLabelCimaP1 = new javax.swing.JLabel();
        jTextFieldCimaP1 = new javax.swing.JTextField();
        jLabelBaixoP1 = new javax.swing.JLabel();
        jTextFieldBaixoP1 = new javax.swing.JTextField();
        jLabelDireitaP1 = new javax.swing.JLabel();
        jTextFieldDireitaP1 = new javax.swing.JTextField();
        jLabelEsquerdaP1 = new javax.swing.JLabel();
        jTextFieldEsquerdaP1 = new javax.swing.JTextField();
        jLabelDisparoP1 = new javax.swing.JLabel();
        jTextFieldDisparoP1 = new javax.swing.JTextField();
        jButton1 = new javax.swing.JButton();
        jButtonCancelar = new javax.swing.JButton();
        jPanel2 = new javax.swing.JPanel();
        jLabelJogador2 = new javax.swing.JLabel();
        jLabelP2 = new javax.swing.JLabel();
        jLabelCimaP2 = new javax.swing.JLabel();
        jTextFieldCimaP2 = new javax.swing.JTextField();
        jLabelBaixoP2 = new javax.swing.JLabel();
        jTextFieldBaixoP2 = new javax.swing.JTextField();
        jLabelDireitaP2 = new javax.swing.JLabel();
        jTextFieldDireitaP2 = new javax.swing.JTextField();
        jLabelEsquerdaP2 = new javax.swing.JLabel();
        jTextFieldEsquerdaP2 = new javax.swing.JTextField();
        jLabelDisparoP2 = new javax.swing.JLabel();
        jTextFieldDisparoP2 = new javax.swing.JTextField();
        jLabel1 = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Configuração de Controle");
        setMinimumSize(new java.awt.Dimension(1050, 416));
        setModal(true);
        setResizable(false);

        jButtonOkControles.setText("OK");
        jButtonOkControles.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonOkControlesActionPerformed(evt);
            }
        });

        jPanel1.setBackground(new java.awt.Color(102, 255, 255));
        jPanel1.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(51, 0, 204), 2));
        jPanel1.setMaximumSize(new java.awt.Dimension(250, 330));
        jPanel1.setMinimumSize(new java.awt.Dimension(250, 330));
        jPanel1.setPreferredSize(new java.awt.Dimension(250, 330));

        jLabelJogador1.setFont(new java.awt.Font("Tahoma", 1, 11));
        jLabelJogador1.setForeground(new java.awt.Color(255, 255, 255));
        jLabelJogador1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagens/azul.png"))); // NOI18N
        jLabelJogador1.setText("Jogador 1");

        jLabelP1.setFont(new java.awt.Font("Tahoma", 1, 11));
        jLabelP1.setText("Controlador jogador 1:");

        jLabelCimaP1.setText("Cima:");

        jTextFieldCimaP1.addKeyListener(new java.awt.event.KeyAdapter() {
            public void keyReleased(java.awt.event.KeyEvent evt) {
                jTextFieldCimaP1KeyReleased(evt);
            }
        });

        jLabelBaixoP1.setText("Baixo:");

        jTextFieldBaixoP1.addKeyListener(new java.awt.event.KeyAdapter() {
            public void keyReleased(java.awt.event.KeyEvent evt) {
                jTextFieldBaixoP1KeyReleased(evt);
            }
        });

        jLabelDireitaP1.setText("Direita:");

        jTextFieldDireitaP1.addKeyListener(new java.awt.event.KeyAdapter() {
            public void keyReleased(java.awt.event.KeyEvent evt) {
                jTextFieldDireitaP1KeyReleased(evt);
            }
        });

        jLabelEsquerdaP1.setText("Esquerda:");

        jTextFieldEsquerdaP1.addKeyListener(new java.awt.event.KeyAdapter() {
            public void keyReleased(java.awt.event.KeyEvent evt) {
                jTextFieldEsquerdaP1KeyReleased(evt);
            }
        });

        jLabelDisparoP1.setText("Disparo:");

        jTextFieldDisparoP1.addKeyListener(new java.awt.event.KeyAdapter() {
            public void keyReleased(java.awt.event.KeyEvent evt) {
                jTextFieldDisparoP1KeyReleased(evt);
            }
        });

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabelJogador1)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGap(39, 39, 39)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabelEsquerdaP1)
                            .addComponent(jLabelP1)
                            .addComponent(jLabelBaixoP1)
                            .addComponent(jLabelDireitaP1)
                            .addComponent(jLabelCimaP1)
                            .addComponent(jLabelDisparoP1))
                        .addGap(18, 18, 18)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addComponent(jTextFieldCimaP1)
                            .addComponent(jTextFieldDireitaP1)
                            .addComponent(jTextFieldEsquerdaP1, javax.swing.GroupLayout.DEFAULT_SIZE, 40, Short.MAX_VALUE)
                            .addComponent(jTextFieldBaixoP1)
                            .addComponent(jTextFieldDisparoP1, javax.swing.GroupLayout.Alignment.TRAILING))))
                .addContainerGap(268, Short.MAX_VALUE))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addComponent(jLabelJogador1)
                .addGap(18, 18, 18)
                .addComponent(jLabelP1)
                .addGap(24, 24, 24)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabelCimaP1)
                    .addComponent(jTextFieldCimaP1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabelBaixoP1)
                    .addComponent(jTextFieldBaixoP1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabelDireitaP1)
                    .addComponent(jTextFieldDireitaP1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabelEsquerdaP1)
                    .addComponent(jTextFieldEsquerdaP1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jTextFieldDisparoP1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabelDisparoP1))
                .addContainerGap(58, Short.MAX_VALUE))
        );

        jButton1.setText("jButton1");

        jButtonCancelar.setText("Cancelar");
        jButtonCancelar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCancelarActionPerformed(evt);
            }
        });

        jPanel2.setBackground(new java.awt.Color(255, 153, 153));
        jPanel2.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(255, 0, 0), 2));
        jPanel2.setMaximumSize(new java.awt.Dimension(250, 330));
        jPanel2.setMinimumSize(new java.awt.Dimension(250, 330));
        jPanel2.setPreferredSize(new java.awt.Dimension(250, 330));

        jLabelJogador2.setFont(new java.awt.Font("Tahoma", 1, 11));
        jLabelJogador2.setForeground(new java.awt.Color(255, 255, 255));
        jLabelJogador2.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagens/vermelho.png"))); // NOI18N
        jLabelJogador2.setText("Jogador 2");

        jLabelP2.setFont(new java.awt.Font("Tahoma", 1, 11));
        jLabelP2.setText("Controlador jogador 2:");

        jLabelCimaP2.setText("Cima:");

        jTextFieldCimaP2.addKeyListener(new java.awt.event.KeyAdapter() {
            public void keyReleased(java.awt.event.KeyEvent evt) {
                jTextFieldCimaP2KeyReleased(evt);
            }
        });

        jLabelBaixoP2.setText("Baixo:");

        jTextFieldBaixoP2.addKeyListener(new java.awt.event.KeyAdapter() {
            public void keyReleased(java.awt.event.KeyEvent evt) {
                jTextFieldBaixoP2KeyReleased(evt);
            }
        });

        jLabelDireitaP2.setText("Direita:");

        jTextFieldDireitaP2.addKeyListener(new java.awt.event.KeyAdapter() {
            public void keyReleased(java.awt.event.KeyEvent evt) {
                jTextFieldDireitaP2KeyReleased(evt);
            }
        });

        jLabelEsquerdaP2.setText("Esquerda:");

        jTextFieldEsquerdaP2.addKeyListener(new java.awt.event.KeyAdapter() {
            public void keyReleased(java.awt.event.KeyEvent evt) {
                jTextFieldEsquerdaP2KeyReleased(evt);
            }
        });

        jLabelDisparoP2.setText("Disparo:");

        jTextFieldDisparoP2.addKeyListener(new java.awt.event.KeyAdapter() {
            public void keyReleased(java.awt.event.KeyEvent evt) {
                jTextFieldDisparoP2KeyReleased(evt);
            }
        });

        javax.swing.GroupLayout jPanel2Layout = new javax.swing.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabelJogador2)
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addGap(39, 39, 39)
                        .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabelEsquerdaP2)
                            .addComponent(jLabelP2)
                            .addComponent(jLabelBaixoP2)
                            .addComponent(jLabelDireitaP2)
                            .addComponent(jLabelCimaP2)
                            .addComponent(jLabelDisparoP2))
                        .addGap(18, 18, 18)
                        .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addComponent(jTextFieldCimaP2)
                            .addComponent(jTextFieldDireitaP2)
                            .addComponent(jTextFieldEsquerdaP2, javax.swing.GroupLayout.DEFAULT_SIZE, 40, Short.MAX_VALUE)
                            .addComponent(jTextFieldBaixoP2)
                            .addComponent(jTextFieldDisparoP2, javax.swing.GroupLayout.Alignment.TRAILING))))
                .addContainerGap(243, Short.MAX_VALUE))
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addComponent(jLabelJogador2)
                .addGap(18, 18, 18)
                .addComponent(jLabelP2)
                .addGap(24, 24, 24)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabelCimaP2)
                    .addComponent(jTextFieldCimaP2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabelBaixoP2)
                    .addComponent(jTextFieldBaixoP2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabelDireitaP2)
                    .addComponent(jTextFieldDireitaP2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabelEsquerdaP2)
                    .addComponent(jTextFieldEsquerdaP2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jTextFieldDisparoP2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabelDisparoP2))
                .addContainerGap(58, Short.MAX_VALUE))
        );

        jLabel1.setFont(new java.awt.Font("Tahoma", 1, 11));

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(64, 64, 64)
                .addComponent(jLabel1, javax.swing.GroupLayout.PREFERRED_SIZE, 403, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(524, Short.MAX_VALUE))
            .addGroup(layout.createSequentialGroup()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jButtonOkControles, javax.swing.GroupLayout.PREFERRED_SIZE, 71, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, 496, Short.MAX_VALUE))
                .addGap(24, 24, 24)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jButtonCancelar)
                    .addComponent(jPanel2, javax.swing.GroupLayout.DEFAULT_SIZE, 471, Short.MAX_VALUE)))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel1, javax.swing.GroupLayout.PREFERRED_SIZE, 0, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 29, Short.MAX_VALUE)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jButtonCancelar)
                    .addComponent(jButtonOkControles))
                .addContainerGap())
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

private void jButtonOkControlesActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonOkControlesActionPerformed
// TODO add your handling code here:

    // se for pressionado OK, grava as alterações nas variáveis do jogo
    // as variáveis sufixada com New, tem os novos valores

    cimaP1 = cimaP1New;
    baixoP1 = baixoP1New;
    direitaP1 = direitaP1New;
    esquerdaP1 = esquerdaP1New;
    disparoP1 = disparoP1New;

    cimaP2 = cimaP2New;
    baixoP2 = baixoP2New;
    direitaP2 = direitaP2New;
    esquerdaP2 = esquerdaP2New;
    disparoP2 = disparoP2New;
    this.setVisible(false);

}//GEN-LAST:event_jButtonOkControlesActionPerformed
    // antes de deixar o dialog visível, atualiza os controles
    // e impede que seja passado valor nulo para as teclas
    // caso um campo não seja selecionado, fica a última tecla configurada

    public void setaTexto() {
        jLabelCimaP1.setText("Cima: " + KeyEvent.getKeyText(cimaP1));
        jLabelBaixoP1.setText("Baixo: " + KeyEvent.getKeyText(baixoP1));
        jLabelDireitaP1.setText("Direita: " + KeyEvent.getKeyText(direitaP1));
        jLabelEsquerdaP1.setText("Esquerda: " + KeyEvent.getKeyText(esquerdaP1));
        jLabelDisparoP1.setText("Disparo: " + KeyEvent.getKeyText(disparoP1));
        jLabelCimaP2.setText("Cima: " + KeyEvent.getKeyText(cimaP2));
        jLabelBaixoP2.setText("Baixo: " + KeyEvent.getKeyText(baixoP2));
        jLabelDireitaP2.setText("Direita: " + KeyEvent.getKeyText(direitaP2));
        jLabelEsquerdaP2.setText("Esquerda: " + KeyEvent.getKeyText(esquerdaP2));
        jLabelDisparoP2.setText("Disparo: " + KeyEvent.getKeyText(disparoP2));

        jTextFieldCimaP1.setText("");
        jTextFieldBaixoP1.setText("");
        jTextFieldDireitaP1.setText("");
        jTextFieldEsquerdaP1.setText("");
        jTextFieldDisparoP1.setText("");
        jTextFieldCimaP2.setText("");
        jTextFieldBaixoP2.setText("");
        jTextFieldDireitaP2.setText("");
        jTextFieldEsquerdaP2.setText("");
        jTextFieldDisparoP2.setText("");

        // impede que seja passado valor nulo para as teclas
        // caso um campo não seja selecionado, fica a última tecla configurada
        cimaP1New = cimaP1;
        baixoP1New = baixoP1;
        direitaP1New = direitaP1;
        esquerdaP1New = esquerdaP1;
        disparoP1New = disparoP1;
        cimaP2New = cimaP2;
        baixoP2New = baixoP2;
        direitaP2New = direitaP2;
        esquerdaP2New = esquerdaP2;
        disparoP2New = disparoP2;

        jTextFieldCimaP1.requestFocus();


    }

private void jButtonCancelarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCancelarActionPerformed
// TODO add your handling code here:
    this.setVisible(false);
}//GEN-LAST:event_jButtonCancelarActionPerformed

// os métodos abaixo, checam são envocados quando as teclas são despressionadas
// verifica se a tecla já foi usada, se sim, permanece a tecla antiga
// caso a tecla não esteja sendo usada, altera o valor da tecleNew
// se for pressionado o botão OK, as teclasNew são levadas para as respectivas teclas
// exemplo cimaP1 = "C"
// se a tecla for alterada para "J" e essa não estiver sendo utilizada por outra
// vira cimaP1New = "J"
// quando o OK é pressionado, faz-se cimaP1 = cimaP1New
private void jTextFieldCimaP1KeyReleased(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_jTextFieldCimaP1KeyReleased
// TODO add your handling code here:

    if (teclaUsada(evt.getKeyCode())) {
        cimaP1New = cimaP1;
        jTextFieldCimaP1.setText("");
        jTextFieldCimaP1.requestFocus();
    } else {
        cimaP1New = evt.getKeyCode();
        jTextFieldBaixoP1.requestFocus();
        jTextFieldCimaP1.setText(KeyEvent.getKeyText(cimaP1New));
    }
}//GEN-LAST:event_jTextFieldCimaP1KeyReleased

private void jTextFieldBaixoP1KeyReleased(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_jTextFieldBaixoP1KeyReleased
// TODO add your handling code here:

    if (teclaUsada(evt.getKeyCode())) {
        baixoP1New = baixoP1;
        jTextFieldBaixoP1.setText("");
        jTextFieldBaixoP1.requestFocus();
    } else {
        baixoP1New = evt.getKeyCode();
        jTextFieldBaixoP1.setText(KeyEvent.getKeyText(baixoP1New));
        jTextFieldDireitaP1.requestFocus();
    }
}//GEN-LAST:event_jTextFieldBaixoP1KeyReleased

private void jTextFieldDireitaP1KeyReleased(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_jTextFieldDireitaP1KeyReleased
// TODO add your handling code here:

    if (teclaUsada(evt.getKeyCode())) {
        direitaP1New = direitaP1;
        jTextFieldDireitaP1.setText("");
        jTextFieldDireitaP1.requestFocus();
    } else {
        direitaP1New = evt.getKeyCode();
        jTextFieldDireitaP1.setText("" + KeyEvent.getKeyText(direitaP1New));
        jTextFieldEsquerdaP1.requestFocus();
    }
}//GEN-LAST:event_jTextFieldDireitaP1KeyReleased

private void jTextFieldEsquerdaP1KeyReleased(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_jTextFieldEsquerdaP1KeyReleased
// TODO add your handling code here:

    if (teclaUsada(evt.getKeyCode())) {
        esquerdaP1New = esquerdaP1;
        jTextFieldEsquerdaP1.setText("");
        jTextFieldEsquerdaP1.requestFocus();
    } else {
        esquerdaP1New = evt.getKeyCode();
        jTextFieldEsquerdaP1.setText("" + KeyEvent.getKeyText(esquerdaP1New));
        jTextFieldDisparoP1.requestFocus();
    }

}//GEN-LAST:event_jTextFieldEsquerdaP1KeyReleased

private void jTextFieldDisparoP1KeyReleased(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_jTextFieldDisparoP1KeyReleased
// TODO add your handling code here:

    if (teclaUsada(evt.getKeyCode())) {
        disparoP1New = disparoP1;
        jTextFieldDisparoP1.setText("");
        jTextFieldDisparoP1.requestFocus();
    } else {
        disparoP1New = evt.getKeyCode();
        jTextFieldDisparoP1.setText("" + KeyEvent.getKeyText(disparoP1New));
        jTextFieldCimaP2.requestFocus();
    }


}//GEN-LAST:event_jTextFieldDisparoP1KeyReleased

private void jTextFieldCimaP2KeyReleased(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_jTextFieldCimaP2KeyReleased
// TODO add your handling code here:

    if (teclaUsada(evt.getKeyCode())) {
        cimaP2New = cimaP2;
        jTextFieldCimaP2.setText("");
        jTextFieldCimaP2.requestFocus();
    } else {
        cimaP2New = evt.getKeyCode();
        jTextFieldCimaP2.setText("" + KeyEvent.getKeyText(cimaP2New));
        jTextFieldBaixoP2.requestFocus();
    }


}//GEN-LAST:event_jTextFieldCimaP2KeyReleased

private void jTextFieldBaixoP2KeyReleased(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_jTextFieldBaixoP2KeyReleased
// TODO add your handling code here:

    if (teclaUsada(evt.getKeyCode())) {
        baixoP2New = baixoP2;
        jTextFieldBaixoP2.setText("");
        jTextFieldBaixoP2.requestFocus();
    } else {
        baixoP2New = evt.getKeyCode();
        jTextFieldBaixoP2.setText("" + KeyEvent.getKeyText(baixoP2New));
        jTextFieldDireitaP2.requestFocus();
    }

}//GEN-LAST:event_jTextFieldBaixoP2KeyReleased

private void jTextFieldDireitaP2KeyReleased(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_jTextFieldDireitaP2KeyReleased
// TODO add your handling code here:

    if (teclaUsada(evt.getKeyCode())) {
        direitaP2New = direitaP2;
        jTextFieldDireitaP2.setText("");
        jTextFieldDireitaP2.requestFocus();
    } else {
        direitaP2New = evt.getKeyCode();
        jTextFieldDireitaP2.setText("" + KeyEvent.getKeyText(direitaP2New));
        jTextFieldEsquerdaP2.requestFocus();
    }

}//GEN-LAST:event_jTextFieldDireitaP2KeyReleased

private void jTextFieldEsquerdaP2KeyReleased(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_jTextFieldEsquerdaP2KeyReleased
// TODO add your handling code here:

    if (teclaUsada(evt.getKeyCode())) {
        esquerdaP2New = esquerdaP2;
        jTextFieldEsquerdaP2.setText("");
        jTextFieldEsquerdaP2.requestFocus();
    } else {
        esquerdaP2New = evt.getKeyCode();
        jTextFieldEsquerdaP2.setText("" + KeyEvent.getKeyText(esquerdaP2New));
        jTextFieldDisparoP2.requestFocus();
    }

}//GEN-LAST:event_jTextFieldEsquerdaP2KeyReleased

private void jTextFieldDisparoP2KeyReleased(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_jTextFieldDisparoP2KeyReleased
// TODO add your handling code here:

    if (teclaUsada(evt.getKeyCode())) {
        disparoP2New = disparoP2;
        jTextFieldDisparoP2.setText("");
        jTextFieldDisparoP2.requestFocus();
    } else {
        disparoP2New = evt.getKeyCode();
        jTextFieldDisparoP2.setText("" + KeyEvent.getKeyText(disparoP2New));
        jButtonOkControles.requestFocus();
    }

}//GEN-LAST:event_jTextFieldDisparoP2KeyReleased

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(Controles.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(Controles.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(Controles.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(Controles.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {

            public void run() {
                Controles dialog = new Controles(new javax.swing.JFrame(), true);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {

                    @Override
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });

                dialog.setVisible(true);
            }
        });
    }
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jButton1;
    private javax.swing.JButton jButtonCancelar;
    private javax.swing.JButton jButtonOkControles;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabelBaixoP1;
    private javax.swing.JLabel jLabelBaixoP2;
    private javax.swing.JLabel jLabelCimaP1;
    private javax.swing.JLabel jLabelCimaP2;
    private javax.swing.JLabel jLabelDireitaP1;
    private javax.swing.JLabel jLabelDireitaP2;
    private javax.swing.JLabel jLabelDisparoP1;
    private javax.swing.JLabel jLabelDisparoP2;
    private javax.swing.JLabel jLabelEsquerdaP1;
    private javax.swing.JLabel jLabelEsquerdaP2;
    private javax.swing.JLabel jLabelJogador1;
    private javax.swing.JLabel jLabelJogador2;
    private javax.swing.JLabel jLabelP1;
    private javax.swing.JLabel jLabelP2;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JTextField jTextFieldBaixoP1;
    private javax.swing.JTextField jTextFieldBaixoP2;
    private javax.swing.JTextField jTextFieldCimaP1;
    private javax.swing.JTextField jTextFieldCimaP2;
    private javax.swing.JTextField jTextFieldDireitaP1;
    private javax.swing.JTextField jTextFieldDireitaP2;
    private javax.swing.JTextField jTextFieldDisparoP1;
    private javax.swing.JTextField jTextFieldDisparoP2;
    private javax.swing.JTextField jTextFieldEsquerdaP1;
    private javax.swing.JTextField jTextFieldEsquerdaP2;
    // End of variables declaration//GEN-END:variables
}
